Subject: Ticket Assigned - I've been chasing them about my refund coz they delivered the wrong item since May 10, 2020 but till...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 27 Jun 2020 09:55:45 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I've been chasing them about my refund coz they delivered the wrong item since May 10, 2020 but till... I've been chasing them about my refund coz they delivered the wrong item since May 10, 2020 but till now no refund..they keep saying its under process. Your service is very poor!
Order No. 7680917620
Complaint No. 966298 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1264038